#
# spec file for package haddock
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with tests
Name:           haddock
Version:        2.17.4
Release:        8.30
Summary:        A documentation-generation tool for Haskell libraries
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-haddock-api-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haddock-test-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Haddock is a documentation-generation tool for Haskell libraries.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%check
%cabal_test

%files
%doc LICENSE
%doc CHANGES README.md doc
%{_bindir}/%{name}

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 2.17.4.
